# USB configured?

A decision block that check if and how USB is currently configured, e.g. for MTP or PTP.

If the proceed option is set to Immediately, then check if USB is currently configured without pausing the fiber. If set to When changed, then the fiber will pause until the USB configuration has changed.

The YES path is followed if USB is configured and configured as configurations. The NO path is followed if USB is not configured or not configured as configurations.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `svc usb getFunctions`

Note! This feature isn’t officially supported, may not work on all devices.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Configurations — configurations to check for, default is any.

## Output variables

- Current configurations — variable to assign the current configurations (bitwise).